Subject: bug#19048: Frame height decreases at Emacs start

From: Angelo Graziosi <[email-masked]>
Date: Tue, 18 Nov 2014 14:46:30 +0100

Il 18/11/2014 08:51, martin rudalics ha scritto:
>
> I'll now look into why that change
>
>  > And this commit (just one minute lather the previous):
>  >
>  > author    Martin Rudalics 2014-11-07 10:49:22 (GMT)
>  > download    emacs-1c50b3adb636addc4244942e8f0e33b1e557ec07.tar.gz
>  >
>  > Improve inhibiting of implied frame resizes.
>
> may have caused the problems you see.  What is the value of
> `frame-inhibit-implied-resize' on your system?

C-h v frame-inhibit-implied-resize

frame-inhibit-implied-resize is a variable defined in `C source code'.
Its value is (tool-bar-lines)

Documentation:
Whether frames should be resized implicitly.
[...]

> BTW, has
>
>  > I flagged a similar issue on OSX which has been fixed:
>  >
>  > http://lists.gnu.org/archive/html/bug-gnu-emacs/2014-11/msg00582.html
>  >
>  > I don't know if this could be useful also for you...
>
> been fixed for good now?  Did that issue appear at the same time as
> bug#19048?

Yes it has been fixed:

author	Jan D 2014-11-15 13:35:15 (GMT)
[...]
Fix getting frame size wrong when restoring desktop.

from ChangeLog

+	* nsmenu.m (update_frame_tool_bar): If tool bar changes height,
+	call updateFrameSize.

Maybe these two issue were similar in appearance but different in 
substance...

Ciao, Angelo.